#include <iostream>
#include <cmath>
#include <algorithm>
using namespace std;

int MinNumber(int a[],int n, int x){
   
    int l = 0;
    int h = 0;
    int e = 0;
    for(int i = 0; i < n; i++){
        if(a[i]==x)
            e++;
        else{
            if(a[i] > x)
                h++;
            else {
                if(a[i] < x)
                    l++;
            }
        }
    }
    int ans = 0;
    if(l > h){
        ans = l-h;

    }
    else{
        if(l<h)
            ans = h-l-1;
    }
    int realans = ans + 1- e;
    return realans;
}


int main()
{
    int n,q;
    cin >> n >> q;
    int a[n];
    int b[q];
    for(int i = 0; i < n; i++){
        cin >> a[i];
    }
    for(int i = 0; i<q;i++){
        cin>>b[i];
    }
    sort(a, a+n);
    for(int i = 0; i < q; i++){

            cout << MinNumber(a, n, b[i]) << '\n';

    }


    return 0;
}